Bug 521996 - New Package for Dogtag PKI: pki-silent
Summary: New Package for Dogtag PKI: pki-silent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 521989 522207
Blocks: Dogtag-to-Fedora
TreeView+ depends on / blocked
 
Reported: 2009-09-09 01:57 UTC by Kevin Wright
Modified: 2015-07-13 04:56 UTC (History)
10 users (show)

Fixed In Version: 1.3.0-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-01 01:08:14 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2009-09-09 01:57:57 UTC
first pass at getting pki-silent into Fedora.

Comment 1 Kevin Wright 2009-09-10 18:19:26 UTC
The spec file can be downloaded from:

http://people.redhat.com/kwright/pki-silent/pki-silent.spec


The source rpm can be downloaded from:

http://people.redhat.com/kwright/pki-silent/pki-silent-1.3.0-1.fc11.src.rpm

Removing the NotReady flag from the Whiteboard.

Comment 2 Kevin Wright 2009-09-11 18:40:58 UTC
Description:

The Dogtag Silent Installer may be used to "automatically" configure
the following Dogtag PKI subsystems in a non-graphical (batch) fashion
including:

    the Dogtag Certificate Authority,
    the Dogtag Data Recovery Manager,
    the Dogtag Online Certificate Status Protocol Manager,
    the Dogtag Registration Authority,
    the Dogtag Token Key Service, and/or
    the Dogtag Token Processing System.

Comment 4 Kevin Wright 2009-12-20 01:09:45 UTC
Comments regarding this version of the spec file:

*  "BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)" is provided because this package must also be made into an EPEL package

* "BuildRequires:  java-devel >= 1:1.6.0" and "Requires:       java >= 1:1.6.0" versions are needed to distinguish our need for OpenJDK rather than libgcj

* Several packages may own the "%{_datadir}/pki/" directory, since there are multiple subdirectories (some owned solely by one package) underneath this common directory -- see "https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership"

Updated spec file and src rpm:

Spec URL:
http://people.redhat.com/kwright/pki-silent/pki-silent.spec

SRPM URL:
http://people.redhat.com/kwright/pki-silent/pki-silent-1.3.0-4.fc11.src.rpm

Comment 5 Parag AN(पराग) 2009-12-21 03:43:49 UTC
Thanks for update.
waiting for dependencies to be built in rawhide.

Comment 6 Kevin Wright 2010-01-04 22:13:54 UTC
pki-common & pki-util now build in rawhide. All dependencies should be satisfied.

Comment 7 Parag AN(पराग) 2010-01-06 06:01:36 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1904568
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
fdd1de26d16f47ad9d3b2593eb9564ed10562c34  pki-silent-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Comment 8 Kevin Wright 2010-01-06 06:33:01 UTC
New Package CVS Request
=======================
Package Name: pki-silent
Short Description: The Dogtag Silent Installer
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil

Comment 9 Kevin Fenzi 2010-01-06 21:42:12 UTC
cvs done.

Comment 10 Fedora Update System 2010-01-12 23:35:21 UTC
pki-silent-1.3.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-silent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0420

Comment 11 Fedora Update System 2010-01-12 23:53:34 UTC
pki-silent-1.3.0-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-silent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0485

Comment 12 Fedora Update System 2010-01-18 22:01:23 UTC
pki-silent-1.3.0-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pki-silent-1.3.0-5.el5

Comment 13 Fedora Update System 2010-01-19 22:57:27 UTC
pki-silent-1.3.0-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pki-silent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0087

Comment 14 Fedora Update System 2010-02-01 01:08:08 UTC
pki-silent-1.3.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-02-01 01:16:40 UTC
pki-silent-1.3.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-02-17 16:58:20 UTC
pki-silent-1.3.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.